> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pagos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fees



## OpenAPI

````yaml POST /v1/{account_id}/fees
openapi: 3.0.0
info:
  title: Pagos Ingestion API
  description: The Pagos Ingestion API Spec
  version: 1.1.1
  contact: {}
servers:
  - description: sandbox
    url: https://api.sandbox.nest.pagosapi.com
  - description: production
    url: https://api.nest.pagosapi.com
security: []
tags:
  - name: ingestion
    description: Pagos Ingestion API
paths:
  /v1/{account_id}/fees:
    post:
      operationId: FeesController_create
      parameters:
        - name: account_id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FeeUploadRequest'
      responses:
        '201':
          description: ''
components:
  schemas:
    FeeUploadRequest:
      type: object
      properties:
        fee_id:
          type: string
          minLength: 1
          maxLength: 255
          description: A unique value that identifies the fee. Maximum 255 characters.
        settlement_currency:
          type: string
          minLength: 3
          maxLength: 3
          description: >-
            The settlement currency of the fee, represented by the 3-letter
            ISO-4217 currency code. Must be three characters.
        created:
          type: string
          description: >-
            The date when the fee was created, represented in ISO 8601 format
            (e.g. 2023-09-04T16:13:05Z).
        payment_method_details:
          type: object
          properties:
            payment_method_type:
              type: string
              maxLength: 255
              nullable: true
              description: >-
                The payment method used (e.g. card, apple pay, paywithgoogle).
                Maximum 255 characters.
            card:
              type: object
              properties:
                attributes:
                  type: object
                  properties:
                    network:
                      type: string
                      maxLength: 50
                      nullable: true
                      description: >-
                        The card brand used (e.g. visa, mastercard, discover).
                        Maximum 50 characters.
                    type:
                      type: string
                      maxLength: 150
                      nullable: true
                      description: The type of payment card used (e.g. debit or credit).
                  additionalProperties: false
                  nullable: true
              additionalProperties: false
              nullable: true
          additionalProperties: false
          nullable: true
        fee_details:
          type: object
          properties:
            fee_name:
              type: string
              minLength: 1
              maxLength: 255
              description: >-
                Name of the fee (e.g. VI Misuse of Auth Fee, US Business Tier 1
                CPS Product 1 [US BUS TR1 PRD 1], Account Updater). Maximum 255
                characters.
            fee_category:
              type: string
              maxLength: 255
              nullable: true
              description: >-
                The fee category (e.g. interchange, assessment, processor).
                Maximum 255 characters.
            interchange_qualification:
              type: string
              maxLength: 255
              nullable: true
              description: >-
                The interchange fee program (e.g. CPS/Retail Debit , CPS/Card
                Not Present Prepaid). Maximum 255 characters.
          required:
            - fee_name
          additionalProperties: false
        fee_amount_details:
          type: object
          properties:
            fee_amount:
              type: integer
              minimum: 0
              description: >-
                The fee amount, represented as a positive number in the smallest
                currency unit (e.g. two-decimal currency such as $101.50 is
                represented as 10150,  zero-decimal currency such as ¥1095 is
                represented as 1095). Refer to the ISO 4217 currency page for
                guidance.
            fee_amount_type:
              type: string
              enum:
                - debit
                - credit
              description: >-
                Indicates if the fee amount is paid to the merchant (credit) or
                deducted from the merchant (debit).
            unit_quantity:
              type: integer
              minimum: 0
              nullable: true
              description: The number of units the fee is applied to.
            unit_fee:
              type: number
              minimum: 0
              nullable: true
              description: >-
                The price per each fee line item, represented as a positive
                nubmer in the smallest currency unit (e.g. two-decimal currency
                such as $101.50 is represented as 10150,  zero-decimal currency
                such as ¥1095 is represented as 1095). Refer to the ISO 4217
                currency page for guidance.
            unit_volume:
              type: number
              minimum: 0
              nullable: true
              description: The amount (decimal) of the unit.
            percent_rate:
              type: number
              minimum: 0
              maximum: 100
              nullable: true
              description: >-
                The percentage rate applied to the unit amount for the fee,
                represented as a positive decimal greater than 0 and less than
                100 (e.g. 2.0% is represented as 2.0).
          required:
            - fee_amount
            - fee_amount_type
          additionalProperties: false
        transaction_details:
          type: object
          properties:
            presentment_currency:
              type: string
              minLength: 3
              maxLength: 3
              nullable: true
              description: >-
                The presentment currency of the transaction associated with the
                fee, represented by the 3-letter ISO-4217 currency code. Must be
                three characters.
            amount:
              type: integer
              minimum: 0
              nullable: true
              description: >-
                The amount of the transaction associated with the fee,
                represented as a positive number in the smallest currency unit
                (e.g. two-decimal currency such as $101.50 is represented as
                10150, zero-decimal currency such as ¥1095 is represented as
                1095). Refer to the ISO 4217 currency page for guidance.
            amount_type:
              type: string
              enum:
                - debit
                - credit
              nullable: true
              description: >-
                Indicates if the transaction associated with the fee amount was
                paid to the merchant (credit) or deducted from the merchant
                (debit).
          additionalProperties: false
        additional_data:
          type: object
          properties:
            merchant_account_id:
              type: string
              maxLength: 100
              nullable: true
              description: >-
                A unique value assigned by the acquirer or processor to identify
                the merchant account. This value could match the merchant
                account ID associated with a region or country. Maximum 100
                characters.
            metadata:
              type: object
              additionalProperties:
                nullable: true
              nullable: true
              description: >-
                A transaction-level label, represented as a JSON string and used
                to segment transactions into meaningful groups. Metadata is
                typically used for segmentation by customer behavior (e.g.
                purchases from a particular seller) or merchant behavior (e.g.
                transaction routing or retries).
          additionalProperties: false
          nullable: true
        pagos_codes:
          type: object
          properties:
            pagos_fee_name:
              type: string
              enum:
                - 3ds_authentication
                - 3ds_authentication_processor_fee
                - 3ds_exemption
                - 3ds_lookup
                - account_initiation_billing
                - account_status_inquiry
                - account_verification
                - ach_return_fee
                - ach_transfer_fee
                - acquirer_network_fees
                - active_account_billing
                - address_verification
                - alternative_payment_method_fee
                - authorization_fee
                - authorization_optimization_fee
                - authorization_optimizer
                - bank_account_validation
                - base_II
                - blended_rate
                - brand_protection
                - card_repair_fee
                - chargeback_threshold_fee
                - connectivity_fee
                - conveyed_deposit_fee
                - cpu_authorization
                - credential_continuity_fee
                - credit_voucher_data_processing
                - cross_border_fee
                - currency_matching_fee
                - customer_performance_development
                - cvc_fee
                - data_usage
                - debit_routing
                - decline_reason_code
                - deposit_matching_or_repair
                - digital_credential_updater_fee
                - digital_enablement
                - digital_investment
                - discount
                - dispute_mdr_rebate
                - dispute_representment
                - document_fee
                - echeck_deposit_fee
                - echeck_notification_of_change
                - echeck_reject_fee
                - echeck_validation_fee
                - enterprise_support_fee
                - eu_clearing_proc_inter
                - eu_clearing_proc_intra
                - excessive_auth
                - excessive_fraud
                - expiry_fee
                - extend_due_date_fee
                - external_settled
                - financial_transaction_fee
                - fraud_protection
                - fx_exchange
                - gateway_fee
                - high_ticket_assessment
                - incentive
                - informational_data
                - installment
                - integrity_fee
                - integrity_final_auth
                - interchange
                - interchange_3ds
                - interchange_adjustment
                - interchange_dispute_fee
                - interchange_downgrade_fee
                - interchange_interregional
                - interchange_intraregional
                - interchange_refund_fee
                - international_base
                - international_network_fee
                - interregional_auth_fee
                - interregional_fee
                - interregional_transfer
                - intraregional_auth_fee
                - intraregional_fee
                - iq_fee
                - issuing_fee
                - late_return_fee
                - license_fee
                - link_incentive
                - mac_correction
                - mac_fee
                - mc_auth_optimizer_nsf
                - mc_pif_fee
                - mc_progressive_handling_fee
                - merchant_discount_rate
                - merchant_location_fee
                - misuse_fee
                - network_adjustment
                - network_auth_fee
                - network_batch_account_updater_fee
                - network_dispute_fee
                - network_fee
                - network_fraud_service_fee
                - network_real_time_account_updater_fee
                - network_refund_fee
                - network_usage_or_access_fee
                - no_value_provided
                - nominal_auth
                - non_domestic_ccy_stlmnt_fee
                - offer_fee
                - partial_auth_reversal
                - pass_through_fee
                - pass_through_fee_adjustment
                - payout_fee
                - paypal_activities
                - paypal_dispute
                - paypal_dispute_service
                - paypal_fees
                - paypal_payment
                - paypal_refund
                - paypal_reversal
                - pinless_network_fee
                - pre_auth_fee
                - premium_support_fee
                - processor_adjustment
                - processor_batch_account_updater_fee
                - processor_dispute_fee
                - processor_fee
                - processor_fee_interchange_markup
                - processor_real_time_account_updater_fee
                - processor_refund
                - processor_volume_fee
                - reauthorization
                - rejected_transaction
                - reporting_and_data_transfer
                - reporting_and_infrastructure
                - reversal_fee
                - score_fee
                - settled_deposit_fee
                - sigma_fee
                - sps_repeat_auth_decline
                - stop_payment_service
                - subscription
                - swift_transfer_fee
                - tax
                - terminal_active_reader_fee
                - terminal_authorization_fee
                - terminal_replacement
                - token_fee
                - token_fee_adjustment
                - token_network_fee
                - token_network_fee_adjustment
                - tpe_merchant_advice_code
                - tpe_message_format_error
                - transaction_fee
                - unable_to_map
                - unknown
                - visa_cat_II_IV_retries_may_approve_cross_border
                - visa_cat_II_IV_retries_may_approve_domestic
                - visa_cat_I_retries_never_approve_cross_border
                - visa_cat_I_retries_never_approve_domestic
                - visa_tif_fee
                - volume_fee
                - vts_authentication
                - zero_floor_limit_fee
              description: >-
                Assign a Pagos fee type code that corresponds to
                fee_details.fee_name.
            pagos_payment_method:
              type: string
              enum:
                - ach
                - affirm
                - affirm_pos
                - afterpay
                - afterpaytouch
                - alipay
                - androidpay
                - androidpay_network_token
                - alipay_wap
                - applepay
                - au_becs_debit
                - bacs_debit
                - bcmc_mobile
                - ben_visa_vale
                - blik
                - boleto
                - card
                - cartao_de_todos_credit
                - cashapp
                - check
                - credtodos_private_credit
                - custom_actions_payment_method
                - directdebit
                - directebanking
                - dotpay
                - ebanking_fi
                - eftpos_australia
                - eftpos_australia_chq
                - eftpos_australia_sav
                - electronic_benefits_transfer
                - electron
                - eps
                - facilypay_12x
                - facilypay_3x
                - facilypay_4x
                - facilypay_6x
                - fpx
                - gcash
                - girocard
                - giropay
                - googlepay
                - googlewallet
                - gopay
                - grabpay
                - ideal
                - kakaopay
                - kcp_payco
                - klarna
                - klarna_account
                - klarna_alternative_payment_method
                - klarna_bank_transfer
                - klarna_base_account
                - klarna_direct_debit
                - klarna_fixed_amount
                - klarna_fixed_sum_credit
                - klarna_invoice
                - klarna_pay_by_card
                - klarna_paynow
                - klarna_pix
                - klarna_slice_it_by_card
                - konbini
                - link
                - mbway
                - mada_card
                - mir
                - mobilepay
                - molpay_ebanking_th
                - momo
                - momo_wallet
                - multibanco
                - oney_pos
                - onlinebanking
                - oxxo
                - p24
                - paybybank
                - paymaya_wallet
                - paynow
                - paypal
                - paypal_pos
                - paywithgoogle
                - pix
                - restorationhardware
                - romcard_credit
                - safetypay
                - samsungpay
                - sepadirectdebit
                - shopping
                - sodexo
                - sofort
                - sorocred_credit
                - stripe_account
                - swish
                - ticket
                - trustly
                - twint
                - us_bank_account
                - twint_pos
                - up_brazil_credit
                - vale_refeicao_prepaid
                - venmo
                - venmo_pos
                - vias
                - vipps
                - wechatpay
                - wechatpay_pos
                - zip
              nullable: true
              description: Assign a Pagos code that corresponds to payment_method_type.
            pagos_network:
              type: string
              enum:
                - accel
                - ach
                - affirm
                - affn
                - afterpay_clearpay
                - alelo
                - alipay
                - amex
                - argencard
                - au_becs_debit
                - bacs_debit
                - bancontact
                - banese_card_credit
                - bijcard
                - blik
                - boleto
                - cabal
                - carnet
                - cartao_de_todos_credit
                - cartebancaire
                - cartebancaire_applepay
                - check
                - cmr_falabella
                - codensa
                - credtodos_private_credit
                - cu24
                - custom_actions_payment_method
                - dankort
                - diners
                - diners_club
                - directdebit
                - directebanking
                - discover
                - dotpay
                - ebanking_fi
                - eftpos_australia
                - electron
                - elo
                - eps
                - facilpay
                - forbrugsforeningen
                - fpx
                - gcash
                - girocard
                - giropay
                - googlewallet
                - gopay
                - grabpay
                - hiper
                - hipercard
                - ideal
                - interac
                - interlink
                - jcb
                - kakaopay
                - kcp_payco
                - klarna
                - klarna_alternative_payment_method
                - klarna_bank_transfer
                - klarna_base_account
                - klarna_direct_debit
                - klarna_fixed_amount
                - klarna_fixed_sum_credit
                - klarna_invoice
                - klarna_pay_by_card
                - klarna_pix
                - klarna_slice_it_by_card
                - konbini
                - korean_creditcard
                - korean_local_card
                - laser
                - link
                - mach
                - mada_card
                - maestro
                - mastercard
                - mir
                - molpay_ebanking_th
                - momo
                - momo_wallet
                - multibanco
                - naranja
                - nativa
                - netplus
                - nets
                - netscard
                - no_value_provided
                - nyce
                - oca
                - oney_pos
                - onlinebanking
                - oxxo
                - p24
                - paymaya_wallet
                - paypal
                - paypal_pos
                - paysafecard
                - paywithgoogle
                - pix
                - pril
                - private_label
                - prop
                - pulse
                - pulse_pinless
                - restorationhardware
                - romcard_credit
                - rupay
                - safetypay
                - sepadirectdebit
                - shazam
                - shopping
                - sodexo
                - sofort
                - solo
                - sorocred_credit
                - star
                - stripe_account
                - swish
                - sycnhrony_plcc
                - tarjeta_naranja
                - ticket
                - troy
                - trustly
                - twint
                - twint_pos
                - uatp
                - unionpay
                - unknowncard
                - us_bank_account
                - vale_refeicao_prepaid
                - venmo
                - venmo_pos
                - verve
                - vias
                - vipps
                - visa
                - vpay
                - wechatpay
                - wechatpay_pos
                - zip
              nullable: true
              description: >-
                Assign a Pagos code that corresponds to
                payment_method_details.network. Required if
                payment_method_details.network contains a value.
          required:
            - pagos_fee_name
          additionalProperties: false
      required:
        - fee_id
        - settlement_currency
        - created
        - fee_details
        - fee_amount_details
        - transaction_details
        - pagos_codes
      additionalProperties: false

````